## net.sf.saxon.query
Interface XQueryFunctionBinder

All Superinterfaces:
  FunctionLibrary, java.io.Serializable

All Known Implementing Classes:
  FunctionLibraryList, ImportedFunctionLibrary, XQueryFunctionLibrary

    public interface XQueryFunctionBinder

extends FunctionLibrary

XQueryFunctionBinder is an extension of the FunctionLibrary interface used for function libraries that contain user-written XQuery functions. It provides a method that allows the XQueryFunction with a given name and arity to be located.

Method Summary
`XQueryFunction` `getDeclaration(StructuredQName functionName, Expression[] staticArgs)` Get the function declaration corresponding to a given function name and arity

Methods inherited from interface net.sf.saxon.functions.FunctionLibrary
`bind, copy, isAvailable`

Method Detail

### getDeclaration

    XQueryFunction getDeclaration(StructuredQName functionName,
                                  Expression[] staticArgs)

  Get the function declaration corresponding to a given function name and arity

  Parameters:
    `functionName` - the name of the function as a QName
    `staticArgs` - the expressions supplied as arguments in the function call (typically, we only need to know the number of arguments)
  Returns:
    the XQueryFunction if there is one, or null if not.

Copyright (c) Saxonica Limited. All rights reserved.